edu.northwestern.at.morphadorner.corpuslinguistics.postagger

## Class PartOfSpeechRetaggerFactory

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.PartOfSpeechRetaggerFactory

-     public class PartOfSpeechRetaggerFactory
      extends java.lang.Object

  PartOfSpeechTagger factory.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.Map<java.lang.String,java.lang.String>` | `retaggerClassMap` Map from short to full class names for built-in retaggers.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartOfSpeechRetaggerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PartOfSpeechRetagger` | `newPartOfSpeechRetagger()` Get a part of speech retagger.
    `static PartOfSpeechRetagger` | `newPartOfSpeechRetagger(java.lang.String className)` Get a partOfSpeechRetagger of a specified class name.
    `static PartOfSpeechRetagger` | `newPartOfSpeechRetagger(UTF8Properties properties)` Get a part of speech retagger.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### retaggerClassMap

          protected static java.util.Map<java.lang.String,java.lang.String> retaggerClassMap

      Map from short to full class names for built-in retaggers.

  - ### Constructor Detail

    - #### PartOfSpeechRetaggerFactory

          public PartOfSpeechRetaggerFactory()

  - ### Method Detail

    - #### newPartOfSpeechRetagger

          public static PartOfSpeechRetagger newPartOfSpeechRetagger()

      Get a part of speech retagger.
      Returns:
        The part of speech retagger.

    - #### newPartOfSpeechRetagger

          public static PartOfSpeechRetagger newPartOfSpeechRetagger(UTF8Properties properties)

      Get a part of speech retagger.
      Parameters:
        `properties` - MorphAdorner properties.
      Returns:
        The part of speech retagger.

    - #### newPartOfSpeechRetagger

          public static PartOfSpeechRetagger newPartOfSpeechRetagger(java.lang.String className)

      Get a partOfSpeechRetagger of a specified class name.
      Parameters:
        `className` - Class name for the partOfSpeechRetagger.
      Returns:
        The partOfSpeechRetagger.